Package org.apache.velocity.app.event.implement

# Class InvalidReferenceInfo

java.lang.Object
org.apache.velocity.util.introspection.Info
org.apache.velocity.app.event.implement.InvalidReferenceInfo

public class InvalidReferenceInfo extends Info
Convenience class to use when reporting out invalid syntax with line, column, and template name.

Since:
  1.5
Version:
  $Id$
Author:
  Will Glass-Husain

## Constructor Summary

Constructors
Constructor
Description
`InvalidReferenceInfo(String invalidReference, Info info)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getInvalidReference()`
Get the specific invalid reference string.
`String`
`toString()`
Formats a textual representation of this object as `SOURCE [line X, column Y]: invalidReference`.

### Methods inherited from class org.apache.velocity.util.introspection.Info

`getColumn, getLine, getTemplateName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidReferenceInfo

public InvalidReferenceInfo(String invalidReference, Info info)

## Method Details

### getInvalidReference

public String getInvalidReference()
Get the specific invalid reference string.

Returns:
  the invalid reference string

### toString

public String toString()
Formats a textual representation of this object as `SOURCE [line X, column Y]: invalidReference`.

Overrides:
  `toString` in class `Info`
Returns:
  String representing this object.